Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	DjVu viewers, encoders and utilities.
Name:		djvulibre
Version:	3.5.20
Release:	2
License:	GPL
URL:		http://djvu.sourceforge.net
Group:		Publishing
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt-devel libjpeg-devel libpng-devel zlib-devel libtiff-devel
BuildRequires:	libX11-devel libXext-devel libXi-devel libXmu-devel

%description
DjVu is a web-centric format and software platform for distributing documents
and images.  DjVu content downloads faster, displays and renders faster, looks
nicer on a screen, and consume less client resources than competing formats.
DjVu was originally developed at AT&T Labs-Research by Leon Bottou, Yann
LeCun, Patrick Haffner, and many others.  In March 2000, AT&T sold DjVu to
LizardTech Inc. who now distributes Windows/Mac plug-ins, and commercial
encoders (mostly on Windows)

In an effort to promote DjVu as a Web standard, the LizardTech management was
enlightened enough to release the reference implementation of DjVu under the
GNU GPL in October 2000.  DjVuLibre (which means free DjVu), is an enhanced
version of that code maintained by the original inventors of DjVu. It is
compatible with version 3.5 of the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library.
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

%package	devel
Summary:        %name development headers.
Group:          Development/Libraries
Requires:       %name = %{version}-%{release}

%description	devel
Header and include files for developing applications with %name.

%prep
%setup -n %{name}-%{version} -q

%post
# LIBS: Run ldconfig
/sbin/ldconfig
# ALTERNATIVES
if test -x /usr/sbin/update-alternatives ; then
  m1=`ls -1 %{_mandir}/man1/djview3.* | head -1`
  m2=`echo $m1 | sed -e 's/djview3/djview/'`
  /usr/sbin/update-alternatives \
    --install %{_bindir}/djview djview %{_bindir}/djview3 103 \
    --slave $m2 `basename $m2` $m1
fi
# MIME TYPES
test -x /usr/share/djvu/osi/desktop/register-djvu-mime &&
  /usr/share/djvu/osi/desktop/register-djvu-mime install 2>/dev/null
# MENU
test -x /usr/share/djvu/djview3/desktop/register-djview-menu &&
  /usr/share/djvu/djview3/desktop/register-djview-menu install 2>/dev/null
# HACK: Create links to nsdejavu.so in mozilla dirs
( for n in %{_prefix}/lib/mozilla*  ; do \
  if [ -d $n ] ; then \
   test -d $n/plugins || mkdir $n/plugins ; \
   test -h $n/plugins/nsdjvu.so && rm $n/plugins/nsdjvu.so ; \
   test -h $n/plugins/nsdejavu.so && rm $n/plugins/nsdejavu.so ; \
   ln -s ../../netscape/plugins/nsdejavu.so $n/plugins/nsdejavu.so ; \
 fi ; done ) 2>/dev/null || true
exit 0

%preun
if test "$1" = 0 ; then
 # HACK: Remove links to nsdejavu.so in all mozilla dirs
 ( if [ ! -r %{_prefix}/lib/netscape/plugins/nsdejavu.so ] ; then \
    for n in %{_prefix}/lib/mozilla* ; do \
     if [ -h $n/plugins/nsdejavu.so ] ; then \
      rm $n/plugins/nsdejavu.so ; \
      rmdir $n/plugins ; \
   fi ; done ; fi ) 2>/dev/null || true
 # MENU
 test -x /usr/share/djvu/djview3/desktop/register-djview-menu &&
   /usr/share/djvu/djview3/desktop/register-djview-menu uninstall 2>/dev/null
 # MIME TYPES
 test -x /usr/share/djvu/osi/desktop/register-djvu-mime &&
   /usr/share/djvu/osi/desktop/register-djvu-mime uninstall 2>/dev/null
 # ALTERNATIVES
 if test -x /usr/sbin/update-alternatives ; then
   /usr/sbin/update-alternatives --remove djview %{_bindir}/djview3
 fi
fi
exit 0

%postun
# LIBS: Run ldconfig
/sbin/ldconfig
exit 0

%build
%configure --disable-debug
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Quick fix to stop ldconfig from complaining
find %{buildroot}%{_libdir} -name "*.so*" -exec chmod 755 {} \;

# Quick cleanup of the docs
rm -rf doc/CVS 2>/dev/null 

# Remove symlinks to djview when there are alternatives
if test -x /usr/sbin/update-alternatives ; then
  test -h %{buildroot}%{_bindir}/djview \
    && rm %{buildroot}%{_bindir}/djview
  test -h %{buildroot}%{_mandir}/man1/djview.1 \
    && rm %{buildroot}%{_mandir}/man1/djview.1
fi
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README COPYRIGHT COPYING INSTALL NEWS TODO doc
%{_bindir}
%{_libdir}/*.so.*
%{_datadir}/djvu
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}/libdjvu
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/netscape
%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 26 2008 Christian Wasem <wasem@ccux-linux.de> 3.5.20-2
- changed package group to Publishing
- changed sub package devel group to Development/Libraries
* Thu Nov 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.20-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.19-1
- Version update
* Sun Mar 11 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.5.18-1
- Initial Release
